SSR(1)

NAME
SSR - SoundScape Renderer (generic renderer)

SYNOPSIS
ssr-generic [OPTIONS] <scene-file>

DESCRIPTION
The SoundScape Renderer (SSR) is a tool for real-time spatial audio reproduction providing a variety of rendering algorithms.

OPTIONS

  Renderer-specific options:

--hrirs=FILE
    Load HRIRs for binaural renderer from FILE

--hrir-size=N
    Truncate HRIRs to length N

--prefilter=FILE
    Load WFS prefilter from FILE

-o, --ambisonics-order=VALUE
    Ambisonics order to use for AAP (default: maximum)

--in-phase-rendering
    Use in-phase rendering for AAP renderer

  JACK options:

-n, --name=NAME
    Set JACK client name to NAME

--input-prefix=PREFIX
    Input port prefix (default: "system:capture_")

--output-prefix=PREFIX
    Output port prefix (default: "system:playback_")

-f, --freewheel
    Use JACK in freewheeling mode

  General options:

-c, --config=FILE
    Read configuration from FILE

-s, --setup=FILE
    Load reproduction setup from FILE

--threads=N
    Number of audio threads (default: auto)

-r, --record=FILE
    Record the audio output of the renderer to FILE

--decay-exponent=VALUE
    Exponent that determines the amplitude decay (default: 1)

--loop
    Loop all audio files

--master-volume-correction=VALUE
    Correction of the master volume in dB (default: 0 dB)

--auto-rotation Auto-rotate sound sources' orientation toward the reference

--no-auto-rotation
    Don't auto-rotate sound sources' orientation toward the reference

-i, --ip-server[=PORT]
    Start IP server (default on), a port number can be specified (default 4711)

-I, --no-ip-server
    Don't start IP server

--end-of-message-character=VALUE
    ASCII code for character to end messages with (default 0 = binary zero)

-g, --gui
    Start GUI (default)

-G, --no-gui
    Don't start GUI

-t, --tracker=TYPE
    Select head tracker, possible value(s): fastrak patriot razor

--tracker-port=PORT
    Port name/number of head tracker, e.g. /dev/ttyS1

-T, --no-tracker
    Don't use a head tracker (default)

-h, --help
    Show help and exit

-v, --verbose
    Increase verbosity level (up to -vvv)

-V, --version
    Show version information and exit

AUTHOR

  Written by:

    Matthias Geier, Jens Ahrens

  Scientific supervision:

    Sascha Spors

  Contributions by:

    Peter Bartz, Florian Hinterleitner, Torben Hohn, Christoph Hohnerlein, Christoph Hold, Lukas Kaser, André Möhl, Till Rettberg, David Runge, Fiete Winter

  GUI design:

    Katharina Bredies, Jonas Loh, Jens Ahrens

  Logo design:

    Fabian Hemmert

REPORTING BUGS
Report bugs to: <ssr@spatialaudio.net>
SSR home page: <http://spatialaudio.net/ssr/>

COPYRIGHT
Copyright © 2016 Division of Applied Acoustics, Chalmers University of Technology
Copyright © 2014 Institut für Nachrichtentechnik, Universität Rostock
Copyright © 2012 Quality & Usability Lab, Telekom Innovation Laboratories, TU Berlin

License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.